/*============================================================================

Note: this function is not optimized for speed!

========includes:============================================================*/

#include <stdio.h>
#include <math.h>
#include "common.h"

/*======function prototypes:=================================================*/

double		AbsValue_ (VectorS *);

/*======check bond lengths:==================================================*/

int CheckBondLengths1_ (VectorS *COldNP, VectorS *NCAP, VectorS *CACP)
{
double		CNLength, NCALength, CACLength;
/* Reference values: */
double		CNLengthRef = 1.32, NCALengthRef = 1.47, CACLengthRef = 1.53;
/* tolerances: */
double		DeltaCN = 0.66, DeltaNCA = 0.74, DeltaCAC = 0.77;

/* Calculate bond lengths: */

/** C-N bond: **/
CNLength = AbsValue_ (COldNP);

/** N-CA bond: **/
NCALength = AbsValue_ (NCAP);

/** CA-C bond: **/
CACLength = AbsValue_ (CACP);

/* Check bond lengths: */
if (fabs (CNLength  - CNLengthRef)  > DeltaCN)  return -1;
if (fabs (NCALength - NCALengthRef) > DeltaNCA) return -2;
if (fabs (CACLength - CACLengthRef) > DeltaCAC) return -3;

/* If bond length is good: */
return 1;
}

/*===========================================================================*/


