/*=============================================================================

Note: this function is not optimized for speed!

========includes:============================================================*/

#include <stdio.h>
#include <math.h>
#include "common.h"

/*======function prototypes:=================================================*/

double		AbsValue_ (VectorS *);

/*======check bond lengths:==================================================*/

int CheckBondLengths2_ (VectorS *CANP, VectorS *CACP, VectorS *COP)
{
double		CANLength, CACLength, COLength;
/* Reference values: */
double		CANLengthRef = 1.47, CACLengthRef = 1.53, COLengthRef = 1.24;
/* tolerances: */
double		DeltaCAN = 0.74, DeltaCAC = 0.77, DeltaCO = 0.62;

/* Calculate bond lengths: */

/** CA-N bond: **/
CANLength = AbsValue_ (CANP);

/** CA-C bond: **/
CACLength = AbsValue_ (CACP);

/** C-O bond: **/
COLength = AbsValue_ (COP);

/* Check bond lengths: */
if (fabs (CANLength - CANLengthRef) > DeltaCAN) return -1;
if (fabs (CACLength - CACLengthRef) > DeltaCAC) return -2;
if (fabs (COLength  - COLengthRef)  > DeltaCO)  return -3;

/* If bond length is good: */
return 1;
}

/*===========================================================================*/


