
/*======includes:============================================================*/

#include <stdio.h>
#include "common.h"

/*======function prototypes:=================================================*/

void		ErrorMessage_ (char *, char *, char *,
			       char *, char *, char *, char *);
int		RenameFile_ (char *, int, char *);
void		WarningMessage_ (char *, char *, char *,
				 char *, char *, char *, char *);

/*======check files:=========================================================*/

int CheckFiles_ (char *InFileName, char *OutFileName)
{
FILE		*InFile, *OutFile;
char		BackupFileName[STRINGSIZE];
int		Size, n;

/* Check the input file: */
if (!(InFile = fopen (InFileName, "r")))
	{
	ErrorMessage_ ("dihed", "CheckFiles", InFileName,
		"Failed to open the input file.",
		" Check the specified pdb file!\n", "", "");
	return -1;
	}
else fclose (InFile);

/* Check the output file (exists allready?): */
if ((OutFile = fopen (OutFileName, "r")) != NULL)
	{
	fclose (OutFile);
	Size = (int) sizeof (BackupFileName);
	n = RenameFile_ (BackupFileName, Size, OutFileName);
	if (n > 0) WarningMessage_ ("dihed", "CheckFiles", OutFileName,
			"The specified output file exists. It will be",
			" renamed to ", BackupFileName, "\n");
	else
		{
		/** Note: rename might break write protection! **/
		ErrorMessage_ ("dihed", "CheckFiles", OutFileName,
			"Failed to rename the output file. If ",
			BackupFileName,
			" already exists, check the protection.\n", "");
		return -1;
		}
	}

return 1;
}

/*===========================================================================*/


