/*=============================================================================

				dihed.c

			calculate dihedral angles

Purpose: calculate the angles psi and theta in a protein molecule. 

History:
(1)	17.3.1998	created


========includes:============================================================*/

#include <stdio.h>
#include <string.h>
#include "common.h"
#include "protein.h"

/*======extract coordinate vectors for atoms N, CA, C and O:=================*/

int ExtractNCACO_ (VectorS *NP, VectorS *CAP, VectorS *CP, VectorS *OP,
		   long Start, long End, AtomDataS *ASP)
{
int		AtomsFoundN = 0;
long		AtomI;
AtomDataS	*p;

/* Initialize x coordinates with the error indicator: */
/* (this will be changed for all identified atoms!) */
NP->x = ERRORINDICATOR;
CAP->x = ERRORINDICATOR;
CP->x = ERRORINDICATOR;
OP->x = ERRORINDICATOR;

/* Scan the specified range: */
for (AtomI = Start; AtomI <= End; AtomI++)
	{
	p = ASP + AtomI;

	if (strcmp (p->AtomName, "N") == 0)
		{
		NP->x = p->x;
		NP->y = p->y;
		NP->z = p->z;
		AtomsFoundN++;
		continue;
		}

	if (strcmp (p->AtomName, "CA") == 0)
		{
		CAP->x = p->x;
		CAP->y = p->y;
		CAP->z = p->z;
		AtomsFoundN++;
		continue;
		}

	if (strcmp (p->AtomName, "C") == 0)
		{
		CP->x = p->x;
		CP->y = p->y;
		CP->z = p->z;
		AtomsFoundN++;
		continue;
		}

	if (strcmp (p->AtomName, "O") == 0)
		{
		OP->x = p->x;
		OP->y = p->y;
		OP->z = p->z;
		AtomsFoundN++;
		}
	}

return AtomsFoundN;
}

/*===========================================================================*/


