
/*======includes:============================================================*/

#include <stdio.h>
#include <string.h>
#include "common.h"

/*======function prototypes:=================================================*/

void		ErrorMessage_ (char *, char *, char *,
			       char *, char *, char *, char *);

/*======prepare file names (input and output pdb file):======================*/

int PrepareFileNames_ (char *InFileName,  int IFNSize,
		       char *OutFileName, int OFNSize,
		       FlagS *FSP, int FlagsN,
		       int argc, char **argv)
{
int		i = 0, j, k = 0, FlagFoundF, StrSize;
char		FileName[2][STRINGSIZE];

/* Copy arguments; omit flags: */
StrSize = sizeof (FileName[0]);
while (++i < argc)
	{
	/** Reset flag (1 = flag found, 0  = not found): **/
	FlagFoundF = 0;

	/** Scan all flags: **/
	for (j = 0; j < FlagsN; j++)
		{
		if (strstr (argv[i], (FSP + j)->Name) == argv[i])
			{
			i += (FSP + j)->DataN;
			FlagFoundF = 1;
			break;
			}
		}

	/** Just increment i if flag was found: **/
	if (FlagFoundF) continue;

	/** Flag was not found, therefore copy the file name: **/
	strncpy (FileName[k], argv[i], StrSize - 1);
	FileName[k][StrSize - 1] = '\0';
	k++;
	if (k >= 2) break;
	}

/* Check the number of copied arguments: */
if (k < 2)
	{
	ErrorMessage_ ("dihed", "PrepareFileNames", "",
		"Missing command line arguments.",
		" You are expected to specify two files.\n", "", "");
	return -1;
	}

/* Copy the input and output file name: */
strncpy (InFileName,  FileName[0], IFNSize - 1);
InFileName[IFNSize - 1] = '\0';
strncpy (OutFileName, FileName[1], OFNSize - 1);
OutFileName[OFNSize - 1] = '\0';

/* Compare file names (should be different): */
if (strcmp (InFileName, OutFileName) == 0)
	{
	ErrorMessage_ ("dihed", "PrepareFileNames", InFileName,
		"The same file name is specified",
		" for both input and output file.\n", "", "");
	return -1;
	}

/* Print file names: */
fprintf (stdout, "Input file: %s, output file: %s\n", InFileName, OutFileName);

return k;
}

/*===========================================================================*/


