/* Defines and typedefs related to protein data and geometry */

#include <stdio.h>

/*======defines:=============================================================*/

#define ATOMNAMESIZE	5
#define RESNAMESIZE	4
#define RESNUMBERSIZE	5
#define CHAINIDSIZE	2

/*======typedefs:============================================================*/

/* Atomic  data  (residue data  included): */
typedef struct
	{
	long	AtomNumber;			/* As read from file */
	char	AtomName[ATOMNAMESIZE];
	long	ResidueIndex;			/* As counted */
	char	ResidueName[RESNAMESIZE];
	long	ResidueNumber;			/* Usualy positive integer */
	char	ChainIdentifier[CHAINIDSIZE];
	double	x;
	double	y;
	double	z;
	double	TempFactor;
	double	Weight;
	} AtomDataS;
/* Note:  residue labels are almost always */
/* simple numbers,  but  sometimes letters */
/* are added immediately after the number. */

/* Data for selected residue may be retrieved using AtomS structure array */
/* and amino acid number; Start is the position of  the first atom in the */
/* specified residue, End is the position of the last atom: */ 
typedef struct
	{
	char	Name[RESNAMESIZE];
	long	Number;
	char	ChainIdentifier[CHAINIDSIZE];
	long	Start;     /* The first atom position in AtomS array */
	long	End;       /* The last atom position in ResidueS array */
	} ResidueS;
/* Note: Name and Label are available from AtomS array, but they are */
/* included here to: it is faster to search through  ResidueS array. */

/* Structure with dihedral angles: */
typedef struct
	{
	double	phi;
	double	psi;
	} DihedS;

/*===========================================================================*/


